@import '../../../assets/styles/common.scss';

.result-form {
  position: absolute;
  left: 40.5rem;
  z-index: 71;
  width: 93.7rem;
  height: 100%;
  background: #06002a 0% 0% no-repeat padding-box;

  &-header {
    display: flex;
    align-items: center;
    margin: 3.7rem 0 3rem 4.5rem;
    font-style: italic;
    font-size: 6rem;
    letter-spacing: 0;
    text-shadow: 3px 3px 4px #003366;

    & svg {
      margin-right: 4rem;
      cursor: pointer;
    }
  }

  &-content {
    height: 100%;
    overflow: auto;
  }

  &-block {
    padding: 0 6.7rem 3.8rem 7px;

    &__header {
      display: flex;
      justify-content: space-between;
      align-items: center;
      height: 8.5rem;
      margin-left: 6.5rem;
    }

    &__title {
      font-size: 2.8rem;
      letter-spacing: 0;
    }

    &__all {
      display: flex;
      align-items: center;
      font-size: 2.3rem;
      cursor: pointer;
      letter-spacing: 0;

      & span {
        color: $blue-light-one;
      }

      & svg {
        margin-right: 5px;

        & path {
          color: $blue-light-one;
        }
      }
    }

    &__noresult {
      font-size: 2.8rem;
      text-align: right;
      opacity: .5;
      letter-spacing: 0;
    }
  }

  &-pagination {
    display: flex;
    justify-content: center;
    align-items: center;

    > {
      li {
        display: inline;

        > {
          a, span {
            display: flex;
            align-items: center;
            padding: 0 1.5rem;
            font-size: 2.8rem;
            color: $blue-light-one;
            cursor: pointer;
            letter-spacing: 0;
          }

          a:hover, span:hover, a:focus, span:focus {
            outline: none;
          }
        }
      }

      .active > {
        a, span, a:hover, span:hover, a:focus, span:focus {
          color: $white;
        }
      }

      .previous {
        svg {
          font-size: 3.5rem;
          fill: $blue-light-one;
        }
      }

      .previous.disabled {
        svg {
          fill: $gray;
        }
      }

      .next {
        svg {
          font-size: 3.5rem;
          fill: $blue-light-one;
        }
      }

      .next.disabled {
        svg {
          fill: $gray;
        }
      }
    }
  }

  @media only screen and (max-width: 1400px) {
    left:28.5rem;
    width: 80.7rem;

    &-block {
      padding: 0 4rem 2.5rem 7px;

      &__title {
        font-size: 2.4rem;
      }

      &__all {
        svg, span {
          font-size: 2.2rem;
        }
      }

      &__noresult {
        margin-top:1.6rem;
        margin-bottom: 1.6rem;
        font-size: 2rem;
      }
    }

    &-pagination li a {
      font-size: 2rem;
    }
  }
}
